---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::ChildWindowRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1ChildWindowRenderer.html">ChildWindowRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1ChildWindowRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::ChildWindowRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::ChildWindowRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1ChildWindowRenderer.png" usemap="#tgui::ChildWindowRenderer_map" alt=""/>
  <map id="tgui::ChildWindowRenderer_map" name="tgui::ChildWindowRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,164,24"/>
<area href="classtgui_1_1WidgetBorders.html" title="Parent class for every widget that has borders. " alt="tgui::WidgetBorders" shape="rect" coords="174,0,338,24"/>
<area href="classtgui_1_1MessageBoxRenderer.html" alt="tgui::MessageBoxRenderer" shape="rect" coords="87,112,251,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aca807b9b11d606caf43612e5ce7a5376"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#aca807b9b11d606caf43612e5ce7a5376">ChildWindowRenderer</a> (<a class="el" href="classtgui_1_1ChildWindow.html">ChildWindow</a> *childWindow)</td></tr>
<tr class="memdesc:aca807b9b11d606caf43612e5ce7a5376"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aca807b9b11d606caf43612e5ce7a5376">More...</a><br /></td></tr>
<tr class="separator:aca807b9b11d606caf43612e5ce7a5376"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade630811db9df988b542586e83f0d0b8"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#ade630811db9df988b542586e83f0d0b8">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:ade630811db9df988b542586e83f0d0b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#ade630811db9df988b542586e83f0d0b8">More...</a><br /></td></tr>
<tr class="separator:ade630811db9df988b542586e83f0d0b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcdb05e9192d946c6f18f124ab8dd549"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#adcdb05e9192d946c6f18f124ab8dd549">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:adcdb05e9192d946c6f18f124ab8dd549"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#adcdb05e9192d946c6f18f124ab8dd549">More...</a><br /></td></tr>
<tr class="separator:adcdb05e9192d946c6f18f124ab8dd549"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7022e53f70a67797154c32a879fd734"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#ae7022e53f70a67797154c32a879fd734">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:ae7022e53f70a67797154c32a879fd734"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#ae7022e53f70a67797154c32a879fd734">More...</a><br /></td></tr>
<tr class="separator:ae7022e53f70a67797154c32a879fd734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5affc3269baf0bd0c34a5e64e1809079"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#a5affc3269baf0bd0c34a5e64e1809079">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:a5affc3269baf0bd0c34a5e64e1809079"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#a5affc3269baf0bd0c34a5e64e1809079">More...</a><br /></td></tr>
<tr class="separator:a5affc3269baf0bd0c34a5e64e1809079"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf307ccfbfc386471391bdbe84443550"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#aaf307ccfbfc386471391bdbe84443550">setTitleBarColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:aaf307ccfbfc386471391bdbe84443550"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the title bar.  <a href="#aaf307ccfbfc386471391bdbe84443550">More...</a><br /></td></tr>
<tr class="separator:aaf307ccfbfc386471391bdbe84443550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a866283bc7912ecdb71aa9f1db0b6e2a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#a866283bc7912ecdb71aa9f1db0b6e2a0">setTitleBarHeight</a> (float height)</td></tr>
<tr class="memdesc:a866283bc7912ecdb71aa9f1db0b6e2a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the height of the title bar.  <a href="#a866283bc7912ecdb71aa9f1db0b6e2a0">More...</a><br /></td></tr>
<tr class="separator:a866283bc7912ecdb71aa9f1db0b6e2a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a82eca2677df34cde74d5afa6249f66"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#a9a82eca2677df34cde74d5afa6249f66">setTitleColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a9a82eca2677df34cde74d5afa6249f66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the title that is displayed in the title bar of the child window.  <a href="#a9a82eca2677df34cde74d5afa6249f66">More...</a><br /></td></tr>
<tr class="separator:a9a82eca2677df34cde74d5afa6249f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca75693a3a035900b7074d77b9ffa189"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#aca75693a3a035900b7074d77b9ffa189">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;borderColor)</td></tr>
<tr class="memdesc:aca75693a3a035900b7074d77b9ffa189"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the border color.  <a href="#aca75693a3a035900b7074d77b9ffa189">More...</a><br /></td></tr>
<tr class="separator:aca75693a3a035900b7074d77b9ffa189"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac36cb02266a21957af114a5b6a839652"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#ac36cb02266a21957af114a5b6a839652">setBorders</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders) override</td></tr>
<tr class="memdesc:ac36cb02266a21957af114a5b6a839652"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ac36cb02266a21957af114a5b6a839652">More...</a><br /></td></tr>
<tr class="separator:ac36cb02266a21957af114a5b6a839652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8bda8eed1d8556f2aece629d419ece9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#af8bda8eed1d8556f2aece629d419ece9">setDistanceToSide</a> (float distanceToSide)</td></tr>
<tr class="memdesc:af8bda8eed1d8556f2aece629d419ece9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the distance between the title and the side of the title bar.  <a href="#af8bda8eed1d8556f2aece629d419ece9">More...</a><br /></td></tr>
<tr class="separator:af8bda8eed1d8556f2aece629d419ece9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ee6ce8c0aca35d14ed23ae11523e881"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#a0ee6ce8c0aca35d14ed23ae11523e881">setPaddingBetweenButtons</a> (float paddingBetweenButtons)</td></tr>
<tr class="memdesc:a0ee6ce8c0aca35d14ed23ae11523e881"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the distance between the title buttons if multiple exist.  <a href="#a0ee6ce8c0aca35d14ed23ae11523e881">More...</a><br /></td></tr>
<tr class="separator:a0ee6ce8c0aca35d14ed23ae11523e881"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0cda5c89e58459a18c42208e82bdd6b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#ad0cda5c89e58459a18c42208e82bdd6b">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;backgroundColor)</td></tr>
<tr class="memdesc:ad0cda5c89e58459a18c42208e82bdd6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color of the child window.  <a href="#ad0cda5c89e58459a18c42208e82bdd6b">More...</a><br /></td></tr>
<tr class="separator:ad0cda5c89e58459a18c42208e82bdd6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89d097c79a87c73d885c303e93000ac2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#a89d097c79a87c73d885c303e93000ac2">setTitleBarTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a89d097c79a87c73d885c303e93000ac2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image of the title bar.  <a href="#a89d097c79a87c73d885c303e93000ac2">More...</a><br /></td></tr>
<tr class="separator:a89d097c79a87c73d885c303e93000ac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a362af70835f10224e4d2e62a46261e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#a4a362af70835f10224e4d2e62a46261e">getCloseButton</a> () const </td></tr>
<tr class="memdesc:a4a362af70835f10224e4d2e62a46261e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer of the close button.  <a href="#a4a362af70835f10224e4d2e62a46261e">More...</a><br /></td></tr>
<tr class="separator:a4a362af70835f10224e4d2e62a46261e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5790d8074a21e77be1d417e60f687b49"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#a5790d8074a21e77be1d417e60f687b49">getMinimizeButton</a> () const </td></tr>
<tr class="memdesc:a5790d8074a21e77be1d417e60f687b49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer of the minimize button.  <a href="#a5790d8074a21e77be1d417e60f687b49">More...</a><br /></td></tr>
<tr class="separator:a5790d8074a21e77be1d417e60f687b49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6627f3a5873baa5a968c441f68e248b9"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ChildWindowRenderer.html#a6627f3a5873baa5a968c441f68e248b9">getMaximizeButton</a> () const </td></tr>
<tr class="memdesc:a6627f3a5873baa5a968c441f68e248b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer of the maximize button.  <a href="#a6627f3a5873baa5a968c441f68e248b9">More...</a><br /></td></tr>
<tr class="separator:a6627f3a5873baa5a968c441f68e248b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetBorders"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetBorders')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td></tr>
<tr class="memitem:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a> (float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td></tr>
<tr class="memdesc:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a19f9c75a3091e3812a1ed997e4b33260">More...</a><br /></td></tr>
<tr class="separator:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a> (float width, float height)</td></tr>
<tr class="memdesc:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ab1a3bd4fee10eb2dcab6bce06efcea45">More...</a><br /></td></tr>
<tr class="separator:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Borders</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a> () const </td></tr>
<tr class="memdesc:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the borders as a <a class="el" href="classtgui_1_1Borders.html">tgui::Borders</a>.  <a href="#a6c42822ce84bce93ff85ef8c9e53bdac">More...</a><br /></td></tr>
<tr class="separator:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aca807b9b11d606caf43612e5ce7a5376"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ChildWindowRenderer::ChildWindowRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ChildWindow.html">ChildWindow</a> *&#160;</td>
          <td class="paramname"><em>childWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">childWindow</td><td>The child window that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4a362af70835f10224e4d2e62a46261e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a>&gt; tgui::ChildWindowRenderer::getCloseButton </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the renderer of the close button. </p>
<dl class="section return"><dt>Returns</dt><dd>The close button renderer </dd></dl>

</div>
</div>
<a class="anchor" id="a6627f3a5873baa5a968c441f68e248b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a>&gt; tgui::ChildWindowRenderer::getMaximizeButton </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the renderer of the maximize button. </p>
<dl class="section return"><dt>Returns</dt><dd>The maximize button renderer </dd></dl>

</div>
</div>
<a class="anchor" id="a5790d8074a21e77be1d417e60f687b49"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a>&gt; tgui::ChildWindowRenderer::getMinimizeButton </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the renderer of the minimize button. </p>
<dl class="section return"><dt>Returns</dt><dd>The minimize button renderer </dd></dl>

</div>
</div>
<a class="anchor" id="ae7022e53f70a67797154c32a879fd734"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::ChildWindowRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

<p>Reimplemented in <a class="el" href="classtgui_1_1MessageBoxRenderer.html#aadcc7030755817a4d52adc2e514ee86c">tgui::MessageBoxRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a5affc3269baf0bd0c34a5e64e1809079"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::ChildWindowRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

<p>Reimplemented in <a class="el" href="classtgui_1_1MessageBoxRenderer.html#a1c0675e1dfd86a21866a81d0983b7947">tgui::MessageBoxRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ad0cda5c89e58459a18c42208e82bdd6b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ChildWindowRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>backgroundColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color of the child window. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">backgroundColor</td><td>New background color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aca75693a3a035900b7074d77b9ffa189"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ChildWindowRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>borderColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the border color. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">borderColor</td><td>The color of the borders </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac36cb02266a21957af114a5b6a839652"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ChildWindowRenderer::setBorders </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;&#160;</td>
          <td class="paramname"><em>borders</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the size of the borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">borders</td><td>The size of the borders </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">tgui::WidgetBorders</a>.</p>

</div>
</div>
<a class="anchor" id="af8bda8eed1d8556f2aece629d419ece9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ChildWindowRenderer::setDistanceToSide </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>distanceToSide</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the distance between the title and the side of the title bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">distanceToSide</td><td>distance between the title and the side of the title bar </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0ee6ce8c0aca35d14ed23ae11523e881"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ChildWindowRenderer::setPaddingBetweenButtons </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>paddingBetweenButtons</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the distance between the title buttons if multiple exist. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">paddingBetweenButtons</td><td>distance between the title and the side of the title bar </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ade630811db9df988b542586e83f0d0b8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ChildWindowRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

<p>Reimplemented in <a class="el" href="classtgui_1_1MessageBoxRenderer.html#a3cb8548d19e084ba2a9e6c26dbf9c606">tgui::MessageBoxRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="adcdb05e9192d946c6f18f124ab8dd549"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ChildWindowRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

<p>Reimplemented in <a class="el" href="classtgui_1_1MessageBoxRenderer.html#a6d3ce4cd4d153c3f4dc6cdd8ae40f2a5">tgui::MessageBoxRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aaf307ccfbfc386471391bdbe84443550"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ChildWindowRenderer::setTitleBarColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the title bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New title bar color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when you set an image as title bar. </p>

</div>
</div>
<a class="anchor" id="a866283bc7912ecdb71aa9f1db0b6e2a0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ChildWindowRenderer::setTitleBarHeight </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>height</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the height of the title bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">height</td><td>New height of the title bar </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a89d097c79a87c73d885c303e93000ac2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ChildWindowRenderer::setTitleBarTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image of the title bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New title bar texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image is set, the title bar color property will be ignored. Pass an empty string to unset the image, in this case the title bar color property will be used again. </p>

</div>
</div>
<a class="anchor" id="a9a82eca2677df34cde74d5afa6249f66"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ChildWindowRenderer::setTitleColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the title that is displayed in the title bar of the child window. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New title color for the child window </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="ChildWindow_8hpp_source.html">ChildWindow.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:42 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
